RobocodeFileWriter

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class RobocodeFileWriter

    java.lang.Object
      java.io.Writer
          java.io.OutputStreamWriter
              robocode.RobocodeFileWriter

public class RobocodeFileWriter
extends OutputStreamWriter

See java.io.FileWriter

See Also:
  `FileWriter`

Constructor Summary
`RobocodeFileWriter(File file)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!
`RobocodeFileWriter(FileDescriptor fd)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!
`RobocodeFileWriter(String fileName)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!
`RobocodeFileWriter(String fileName, boolean append)` RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

Methods inherited from class java.io.OutputStreamWriter
`close, flush, getEncoding, write, write, write`

Methods inherited from class java.io.Writer
`write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobocodeFileWriter

    public RobocodeFileWriter(File file)
                       throws IOException

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

See Also:
  `FileWriter`

### RobocodeFileWriter

    public RobocodeFileWriter(FileDescriptor fd)

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

See Also:
  `FileWriter`

### RobocodeFileWriter

    public RobocodeFileWriter(String fileName)
                       throws IOException

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

See Also:
  `FileWriter`

### RobocodeFileWriter

    public RobocodeFileWriter(String fileName,
                              boolean append)
                       throws IOException

  RobocodeFileWriter constructor -- see java.io.FileWriter for docs!

See Also:
  `FileWriter`

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD